Subject: Re: linux-next: Tree for November 24

From: Michal Simek <[email-masked]>
Date: Tue, 24 Nov 2009 11:54:12 +0100

Stephen Rothwell wrote:
> Hi all,
> 
> Changes since 20091123:
> 
> New trees:
> 	samsung
> 	bjdooks-i2c
> 
> The microblaze tree still has a build failure for which I reverted a
> commit.

I fixed it - tomorrow should be ok. I added 4 mips commit to my branch 
and I will wait with my request till mips patches are in mainline.

Thanks,
Michal

> 
> The mips tree gained a conflict against the net-current tree.
> 
> The ubifs tree gained a build failure for which I reverted a commit.
> 
> The net tree gained 2 conflicts against the net-current tree.
> 
> The wireless tree gained a conflict against the wireless-current tree.
> 
> The mfd tree lost its build failures but gained another so I used the
> version from next-20091120.
> 
> The trivial tree gained a conflicts against the net tree.
> 
> The alacrity tree gained a build failure so I used the version from
> next-20091123.
> 
> ----------------------------------------------------------------------------
> 
> I have created today's linux-next tree at
> git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
> (patches at http://www.kernel.org/pub/linux/kernel/v2.6/next/ ).  If you
> are tracking the linux-next tree using git, you should not use "git pull"
> to do so as that will try to merge the new linux-next release with the
> old one.  You should use "git fetch" as mentioned in the FAQ on the wiki
> (see below).
> 
> You can see which trees have been included by looking in the Next/Trees
> file in the source.  There are also quilt-import.log and merge.log files
> in the Next directory.  Between each merge, the tree was built with
> a ppc64_defconfig for powerpc and an allmodconfig for x86_64. After the
> final fixups (if any), it is also built with powerpc allnoconfig (32 and
> 64 bit), ppc44x_defconfig and allyesconfig (minus
> CONFIG_PROFILE_ALL_BRANCHES - this fails its final link) and i386, sparc
> and sparc64 defconfig. These builds also have
> CONFIG_ENABLE_WARN_DEPRECATED, CONFIG_ENABLE_MUST_CHECK and
> CONFIG_DEBUG_INFO disabled when necessary.
> 
> Below is a summary of the state of the merge.
> 
> We are up to 153 trees (counting Linus' and 22 trees of patches pending for
> Linus' tree), more are welcome (even if they are currently empty).
> Thanks to those who have contributed, and to those who haven't, please do.
> 
> Status of my local build tests will be at
> http://kisskb.ellerman.id.au/linux-next .  If maintainers want to give
> advice about cross compilers/configs that work, we are always open to add
> more builds.
> 
> Thanks to Jan Dittmer for adding the linux-next tree to his build tests
> at http://l4x.org/k/ , the guys at http://test.kernel.org/ and Randy
> Dunlap for doing many randconfig builds.
> 
> There is a wiki covering stuff to do with linux-next at
> http://linux.f-seidel.de/linux-next/pmwiki/ .  Thanks to Frank Seidel.
> 

-- 
Michal Simek, Ing. (M.Eng)
PetaLogix - Linux Solutions for a Reconfigurable World
w: www.petalogix.com p: +61-7-30090663,+42-0-721842854 f: +61-7-30090663